<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bClasses.*,java.io.PrintWriter" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>
<HTML>
	
<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> <%
	} 
%>
<%@ include file="/m05bIdioma.inc"%>

	
<head>
	<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
	<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">

<%
String matricula=request.getParameter("Matricula");
      if (matricula==null || matricula.equals("NULL")){
          matricula="";}
	String persona = (String) session.getAttribute("persona");
          
%>
	
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Fechas.js"></script>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Horas.js"></script>
	
		<title><%= resTit.getString("titVehTarjetas")%></title>
	
<script language="JavaScript">
	 function fncModificar(codigo) {
        document.formTarjetas.action="m05bGenerarHisTarjetasServlet?Matricula=<%=matricula%>&CodInterno=" + codigo+ "&Habilitar="+parent.document.formVehiculos.Habilitar.value;;
        document.formTarjetas.submit();
      }
      function  fncNuevoGasto(){
         document.formTarjetas.action="m05bTarjetasJsp.jsp?Matricula=<%=matricula%>&Tipo=G"+ "&Habilitar="+parent.document.formVehiculos.Habilitar.value;;
         document.formTarjetas.submit();
      }
      function  fncNuevoViaT(){
         document.formTarjetas.action="m05bTarjetasJsp.jsp?Matricula=<%=matricula%>&Tipo=V"+ "&Habilitar="+parent.document.formVehiculos.Habilitar.value;;
         document.formTarjetas.submit();
      }
</SCRIPT>
</head>
<BODY   style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
<script>
	 var urlIdioma;
	 var urlCambioVentana;
	 urlIdioma = "<%=m05bConstantesPaginas.VEH_GESTION_TARJETAS%>?Matricula=<%=matricula%>";
	 urlCambioVentana = "<%=m05bConstantesPaginas.VEH_GESTION_TARJETAS%>";
</script>			

		
<%@include file="m05bVehiculosFijo.inc"%>	
			
<FORM NAME="formTarjetas" METHOD="POST" >
<%int contador=0;%>    
	
<%
    	m05bFileLog miLog = new m05bFileLog();
	
StringBuffer sql  = new StringBuffer();
StringBuffer sql2 = new StringBuffer();
StringBuffer sql3 = new StringBuffer();

String Tarjeta="";
String Situacion="";
String SituacionG="";
String SituacionV="";
String Centro="";
String CodCentro="";
String Limite="";
String Fsolic="";
String Fcaduc="";
String Banco="";
String CodIncidencia="";
String Incidencia="";
String CodInterno="";
String CodTipo="";
String NombreBanco="";


sql.append("SELECT ").append(m05bConstantes.COL_14_TARJHIST).append(",");
	sql.append(m05bConstantes.COL_14_TARJETA).append(",").append(m05bConstantes.COL_14_BANCO).append(",");
	sql.append("NVL(S."+ campoTexto+m05bConstantes.COL_99_DESCRIPCION+",S."+m05bConstantes.COL_99_DESCRIPCION+")").append(",").append(m05bConstantes.COL_05_DESC);
	sql.append(",").append(m05bConstantes.COL_14_LIMITE).append(",");
	sql.append(m05bConstantes.COL_14_FSOLIC).append(",").append(m05bConstantes.COL_14_FCADUC);
	sql.append(",").append(m05bConstantes.COL_03_NOMBRE).append(",").append(m05bConstantes.COL_14_INCIDENCIA);
	sql.append(",").append(m05bConstantes.COL_14_TIPO).append(",").append(m05bConstantes.COL_05_CODIGO);
	sql.append(",NVL(I.").append( campoTexto+m05bConstantes.COL_99_DESCRIPCION+",I."+m05bConstantes.COL_99_DESCRIPCION+")");
sql.append(" FROM ").append(m05bConstantes.TAB_HIST_TARJETAS).append(",").append(m05bConstantes.TAB_BANCOS);
	sql.append(",").append(m05bConstantes.TAB_CENTROS).append(",").append(m05bConstantes.TAB_DESCRIPCIONES);
	sql.append(" S, ").append(m05bConstantes.TAB_DESCRIPCIONES).append(" I ");
sql.append(" WHERE ").append(m05bConstantes.COL_14_MATRICULA);
	sql.append("='").append(matricula).append("'").append(" AND ");
	sql.append(m05bConstantes.COL_05_CODIGO).append("(+)=").append(m05bConstantes.COL_14_CTRO);
	sql.append(" AND ").append(m05bConstantes.COL_14_BANCO).append("=").append(m05bConstantes.COL_03_NCUENTA);
	sql.append(" AND S.").append(m05bConstantes.COL_99_CODTABLA).append("=").append(m05bConstantes.DESC_SIT_TARJETAS);
	sql.append(" AND ").append(m05bConstantes.COL_14_SITUACION).append("=S.").append(m05bConstantes.COL_99_CODDESC);
	sql.append(" AND I.").append(m05bConstantes.COL_99_CODTABLA).append(" (+) =").append(m05bConstantes.DESC_INCIDENCIAS);
	sql.append(" AND ").append(m05bConstantes.COL_14_INCIDENCIA).append("=I.").append(m05bConstantes.COL_99_CODDESC).append(" (+)");
	
sql.append(" ORDER BY TO_NUMBER(");
	sql.append(m05bConstantes.COL_14_TARJHIST).append(") ").append(" desc");

 miLog.addTraza(persona , "m05b - VehTarjetasJsp:  " , sql.toString(), m05bConstantes.LOG_NIVEL_BAJO);

//Estado de la ultima Tarjeta VIAT
sql2.append("SELECT ").append(m05bConstantes.COL_31_SITUACION).append(" FROM ").append(m05bConstantes.TAB_TARJETAS);
sql2.append(" WHERE ").append(m05bConstantes.COL_31_MATRICULA);
	sql2.append("='").append(matricula).append("' AND ").append(m05bConstantes.COL_31_TIPO).append("='").append(m05bConstantes.TAR_VIAT).append("' ORDER BY TO_NUMBER(");
	sql2.append(m05bConstantes.COL_31_TARJHIST).append(") ").append("desc");

//Estado de la ultima Tarjeta GASTOS
sql3.append("SELECT ").append(m05bConstantes.COL_31_SITUACION).append(" FROM ").append(m05bConstantes.TAB_TARJETAS);
sql3.append(" WHERE ").append(m05bConstantes.COL_31_MATRICULA);
	sql3.append("='").append(matricula).append("' AND ").append(m05bConstantes.COL_31_TIPO).append("='").append(m05bConstantes.TAR_GASTO).append("' ORDER BY TO_NUMBER(");
	sql3.append(m05bConstantes.COL_31_TARJHIST).append(") ").append("desc");


        try {
           if (!matricula.equals("")){
	           conexion = miConexion.getConnection();
	           pstmt2 = conexion.prepareStatement(sql3.toString());
			   rs2 = pstmt2.executeQuery();
	           if (rs2.next() == true){
	               SituacionG=rs2.getString(m05bConstantes.COL_31_SITUACION);}
	           else { 
	               SituacionG="";
	           }
           }
        }catch (Exception SQLException){
                         miLog.addTraza(SQLException);}
	        finally{
			   if (rs2 != null)
			       rs2.close();			
			   if (pstmt2 != null)
			       pstmt2.close();
			   if (conexion != null)
			       conexion.close();
		    }
        try {
           if (!matricula.equals("")){
           conexion = miConexion.getConnection();
           conexion.setAutoCommit(false);  // Al final si todo ha ido bien se hace commit
           pstmt2 = conexion.prepareStatement(sql2.toString());
		   rs2 = pstmt2.executeQuery();
           if (rs2.next() == true){
               SituacionV=rs2.getString(m05bConstantes.COL_31_SITUACION);}
           else{
             SituacionV="";}}
        }catch (Exception SQLException){
                         miLog.addTraza(SQLException);}
	        finally{
			   if (rs2 != null)
			       rs2.close();			
			   if (pstmt2 != null)
			       pstmt2.close();
			   if (conexion != null)
			       conexion.close();
		    }%>
		   	<% if   ((((SituacionG.equals("C")) ||(SituacionG.equals(""))) && (!(situacion.equals("B"))))||
		   		    (((SituacionV.equals("C")) ||(SituacionV.equals(""))) && (!(situacion.equals("B"))))){%>
                <TABLE class="general">
    	          <tr>
    	           <td align="right">
               <% if   (((SituacionG.equals("C")) ||(SituacionG.equals(""))) && (!(situacion.equals("B"))) && (sExisteMatricula.equals("1"))) {%>		   		                  
                    <input type="button" class="botonL" name="<%= res.getString("etBOT_NUEVOG")%>" value="<%= res.getString("etBOT_NUEVOG")%>" ONCLICK="JavaScript:fncNuevoGasto();" onMouseOver="top.status='<%= res.getString("etBOT_STATUSNUEVOG")%>'; return false" onMouseOut="top.status=''; return false" /> 
	           <% } if   (((SituacionV.equals("C")) ||(SituacionV.equals(""))) && (!(situacion.equals("B")))&& (sExisteMatricula.equals("1"))) {%>
                    <input type="button" class="botonL" name="<%= res.getString("etBOT_NUEVOV")%>" value="<%= res.getString("etBOT_NUEVOV")%>" ONCLICK="JavaScript:fncNuevoViaT();" onMouseOver="top.status='<%= res.getString("etBOT_STATUSNUEVOV")%>'; return false" onMouseOut="top.status=''; return false" /> 
	          <%}%> 
	         </td>	   
		   </tr>
       </TABLE>
	          	  
            <%}%>
  <TABLE class="general">
    <tr>
      <td valign="top" align="left" class="inputFieldTitle" width="8%"><%= res.getString("etCInterno")%></td>
      <td valign="top" align="left" class="inputFieldTitle" width="8%"><%= res.getString("etTipo")%></td>
      <td valign="top" align="left" class="inputFieldTitle" width="10%"><%= res.getString("etTarjeta")%></td>
      <td valign="top" align="left" class="inputFieldTitle" width="10%"><%= res.getString("etSituacion")%></td>
      <td valign="top" align="left" class="inputFieldTitle" width="8%"><%= res.getString("etCentro")%></td>
      <td valign="top" align="left" class="inputFieldTitle" width="10%"><%= res.getString("etLimite")%></td>
      <td valign="top" align="left" class="inputFieldTitle" width="10%"><%= res.getString("etFSolicitud")%></td>
      <td valign="top" align="left" class="inputFieldTitle" width="12%"><%= res.getString("etFCaducidad")%></td>
      <td valign="top" align="left" class="inputFieldTitle" width="15%"><%= res.getString("etBanco")%></td>
      <td valign="top" align="left" class="inputFieldTitle" width="9%"><%= res.getString("etIncidencia")%></td>
      
    </tr>
    <%
        try {
           if (!matricula.equals("")){
           //m05bbBeginSelect(sql.toString());
           conexion = miConexion.getConnection();
           pstmt2 = conexion.prepareStatement(sql.toString());
		   rs2 = pstmt2.executeQuery();
           while (rs2.next() == true){
               contador=contador +1;
               CodInterno=rs2.getString(m05bConstantes.COL_14_TARJHIST);
               if (CodInterno==null )
                   CodInterno="";
               Tarjeta=rs2.getString(m05bConstantes.COL_14_TARJETA);
               if (Tarjeta==null )
                   Tarjeta="";
               CodTipo=rs2.getString(m05bConstantes.COL_14_TIPO);
               if (CodTipo==null )
                   CodTipo="";
               Situacion=rs2.getString(4);
               if (Situacion==null )
                   Situacion="";
               Centro=rs2.getString(m05bConstantes.COL_05_DESC);
               if (Centro==null )
                   Centro="";
               CodCentro=rs2.getString(m05bConstantes.COL_05_CODIGO);
               if (CodCentro==null )
                   CodCentro="";               
               Limite=rs2.getString(m05bConstantes.COL_14_LIMITE);
               if (Limite==null )
                   Limite="";
               Fsolic=rs2.getString(m05bConstantes.COL_14_FSOLIC);
               
               if (Fsolic==null || Fsolic.equals(""))
                   Fsolic="";
               else
                   Fsolic=comun.Mes(Fsolic,campoTexto3);
               
               Fcaduc=rs2.getString(m05bConstantes.COL_14_FCADUC);
               
               if (Fcaduc==null || Fcaduc.equals(""))
                   Fcaduc="";
               else
                   Fcaduc=comun.Mes(Fcaduc,campoTexto3);
               Banco=rs2.getString(m05bConstantes.COL_14_BANCO);
               NombreBanco=rs2.getString(m05bConstantes.COL_03_NOMBRE);
               CodIncidencia=rs2.getString(m05bConstantes.COL_14_INCIDENCIA);
               if (CodIncidencia==null || CodIncidencia.equals(""))
                    CodIncidencia="";
               Incidencia=rs2.getString(13);
               if (Incidencia==null || Incidencia.equals(""))
                    Incidencia="";
               
               if (Tarjeta==null || Tarjeta.equals(""))
                    Tarjeta="";
               
           %>
               <tr>
      <td valign="top" align="left" class="inputFieldTitleBlank"><A href="JavaScript:fncModificar('<%=CodInterno%>')"><%=CodInterno%></A></td>
      <td valign="top" align="center" class="inputFieldTitleBlank"><%=CodTipo%></td>
      <td valign="top" align="left" class="inputFieldTitleBlank"><%=Tarjeta%></td>
      <td valign="top" align="left" class="inputFieldTitleBlank"><%=Situacion%></td>
      <td valign="top" align="left" class="inputFieldTitleBlank"><%=CodCentro%></td>
      <input type="hidden" name=<%="Limite"+contador%> value="<%=Limite%>"> 
         <script>
           formatNumeroDecimal(document.formTarjetas.<%="Limite"+contador%>,6,2);
         </script>	
      <td valign="top" style="text-align: right"  class="inputFieldTitleBlank"><script> document.write(document.formTarjetas.<%="Limite"+contador%>.value);</script></td>
      <td valign="top" align="left" class="inputFieldTitleBlank"><%=Fsolic%></td>
      <td valign="top" align="left" class="inputFieldTitleBlank"><%=Fcaduc%></td>
      <td valign="top" align="left" class="inputFieldTitleBlank"><%=NombreBanco%></td>
      <td valign="top" align="left" class="inputFieldTitleBlank"><%=Incidencia%></td>
    </tr>
           <%}
				if (rs2 != null)
					rs2.close();
				if (pstmt2 != null)
					pstmt2.close();
				if (conexion != null)
					conexion.close();
           
     //m05bEndSelect();
		   }  }
  catch (Exception SQLException){
   miLog.addTraza(SQLException);
  }
    %>

  </TABLE>
   <TABLE class="general">
		<tr> </tr>
    	<tr align="center">
    		<td class="inputField" colspan="7"><%= res.getString("etTotal")%><%=contador%></td>
    	</tr>
    	<tr> </tr>
   </TABLE>
    
</FORM>
			 </td>
			</tr>
			<tr>
				<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%></td>
			</tr>
			</table>
<SCRIPT language='javascript'>
    setTimeout('initSlide();', 1);
</SCRIPT>
<SCRIPT>
   var tabTarjetas=document.getElementById("tabTarjetas");
   
   tabTarjetas.style.backgroundColor="#000078"	;
</SCRIPT>
</BODY>
</HTML>